Telegram APIMessages
messages.getSplitRanges
Get message ranges for saving the user's chat history
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get message ranges for saving the user's chat history
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getSplitRanges" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "messageRange", "minId": 0, "maxId": 0 }}getSearchResultsPositions
Returns sparse positions of messages of the specified type in the chat to be used for shared media scroll implementation. Returns the results in reverse chronological order (i.e., in order of decreasing message_id).
getSponsoredMessages
Get a list of [sponsored messages for a peer, see here »](https://core.telegram.org/api/sponsored-messages) for more info.